> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/general/enrolled-devices-report_scheduled.md).

# 登録済みデバイス レポート - 定期実行

{% hint style="info" %}
これはスケジュール実行の runbook です。単一のオブジェクトでトリガーされるのではなく、繰り返しのスケジュールで実行されるように設計されています。参照してください [スケジュール設定](/ja/zi-dong-hua/runbooks/scheduling.md) runbook のスケジュールを構成する方法の詳細について。
{% endhint %}

### 説明

この runbook は、設定可能な期間に基づいて最近のデバイス登録をレポートします。結果を選択した属性でグループ化でき、必要に応じてレポートを CSV ファイルとしてエクスポートできます。

### 場所

Organization → General → 登録済みデバイス レポート (スケジュール済み)

**Runbook の完全名**

rjgit-org\_general\_enrolled-devices-report\_scheduled

### 詳細

| プロパティ    | 値                                  |
| -------- | ---------------------------------- |
| バージョン    | 1.0.1                              |
| 必要なモジュール | RealmJoin.RunbookHelper (>= 0.8.9) |
| スケジュール可能 | はい                                 |

### アクセス許可

#### アプリケーションのアクセス許可

* **種類**：Microsoft Graph
  * DeviceManagementServiceConfig.Read.All
    * *レポートの基礎データセットとして、すべての Autopilot デバイスを一覧表示します*
  * DeviceManagementManagedDevices.Read.All
    * *各 Intune デバイスから登録日とユーザー情報を読み取ります*
  * User.Read.All
    * *ユーザー プロパティでグループ化する場合、各デバイスのユーザーからグループ化属性を読み取ります*
  * Device.ReadWrite.All
    * *デバイス プロパティによるグループ化のために Entra デバイス オブジェクトを読み取ります*

#### 権限に関する注意

Azure: Storage Account の共同作成者

### パラメーター

#### 週

レポートに含める期間（週）です。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | いいえ   |
| 既定値   | 4     |
| 種類    | Int32 |

#### dataSource

最初の登録日を特定するために使用されるデータ ソース。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | いいえ   |
| 既定値   | 0     |
| 種類    | Int32 |

#### groupingSource

グループ化属性を解決するために使用されるデータ ソース。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | いいえ   |
| 既定値   | 1     |
| 種類    | Int32 |

#### groupingAttribute

グループ化に使用される属性名。

| プロパティ | 値       |
| ----- | ------- |
| 必須    | いいえ     |
| 既定値   | country |
| 種類    | 文字列     |

#### exportCsv

この機能を使用するには、Azure Storage Account を構成してください。

| プロパティ | 値    |
| ----- | ---- |
| 必須    | いいえ  |
| 既定値   | はい   |
| 種類    | ブール値 |

#### ContainerName

アップロードに使用するストレージ コンテナー名。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

#### ResourceGroupName

ストレージ アカウントを含むリソース グループ。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

#### StorageAccountName

アップロードに使用する Storage Account 名。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

#### Storage Account の場所

そのストレージ アカウントの Azure リージョン。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

#### Storage Account SKU

ストレージ アカウントの SKU。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

[Runbook Reference の概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/general/enrolled-devices-report_scheduled.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
